Bug 257806 - games/retroarch: update to 1.9.7
Summary: games/retroarch: update to 1.9.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Guangyuan Yang
URL:
Keywords:
Depends on:
Blocks: 257873 257874
  Show dependency treegraph
 
Reported: 2021-08-13 08:54 UTC by Daniel Menelkir
Modified: 2021-08-16 09:32 UTC (History)
2 users (show)

See Also:
greg: maintainer-feedback+


Attachments
v1 (4.90 KB, patch)
2021-08-13 08:54 UTC, Daniel Menelkir
no flags Details | Diff
v2 (4.84 KB, patch)
2021-08-13 12:34 UTC, Daniel Menelkir
no flags Details | Diff
v3 (4.82 KB, patch)
2021-08-15 20:58 UTC, Daniel Menelkir
menelkir: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Menelkir 2021-08-13 08:54:42 UTC
Created attachment 227156 [details]
v1

There's several changes from 1.9.0. 

The changelog is here: https://github.com/libretro/RetroArch/blob/master/CHANGES.md

One particular modification from 1.9.0: I've removed pulseaudio from default options. Pulseaudio isn't a requirement for retroarch to work, so it could be used as an available option instead of marked as default.
Comment 1 Greg V 2021-08-13 12:24:30 UTC
Hm, where did the cfg.bak come from? We probably don't need to package it…
Comment 2 Daniel Menelkir 2021-08-13 12:34:59 UTC
Created attachment 227159 [details]
v2

(In reply to Greg V from comment #1)
Yeah it's something retroarch is generating, I'm not sure why. I forgot to remove it again after my tests.
Comment 3 Greg V 2021-08-15 20:10:05 UTC
Builds and runs fine.

Probably a good idea to update games/retroarch-assets and games/libretro-core-info also.
Comment 4 Guangyuan Yang freebsd_committer 2021-08-15 20:21:29 UTC
(In reply to Daniel Menelkir from comment #0)

I think PORTREVISION should be removed?
Comment 5 Daniel Menelkir 2021-08-15 20:58:20 UTC
Created attachment 227233 [details]
v3

(In reply to Greg V from comment #3)
I'll create new PR for them shortly.

(In reply to Guangyuan Yang from comment #4)
Fixed.
Comment 6 commit-hook freebsd_committer 2021-08-16 09:16:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=76215562858cbeb4aff214019c7898b3c52bd2c6

commit 76215562858cbeb4aff214019c7898b3c52bd2c6
Author:     Daniel Menelkir <menelkir@itroll.org>
AuthorDate: 2021-08-16 09:16:26 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-08-16 09:16:26 +0000

    games/retroarch: Update to 1.9.7

    Changelog:      https://github.com/libretro/RetroArch/blob/master/CHANGES.md#197

    PR:             257806
    Approved by:    Greg V <greg@unrelenting.technology> (maintainer)

 games/retroarch/Makefile                                    | 12 +++++-------
 games/retroarch/distinfo                                    |  6 +++---
 ...-deps_glslang_glslang_glslang_Include_PoolAlloc.h (gone) | 12 ------------
 games/retroarch/files/patch-input_input__keymaps.c (gone)   | 13 -------------
 .../files/patch-libretro-common_net_net__ifinfo.c (gone)    | 11 -----------
 games/retroarch/pkg-plist                                   |  2 +-
 6 files changed, 9 insertions(+), 47 deletions(-)
Comment 7 Guangyuan Yang freebsd_committer 2021-08-16 09:32:42 UTC
Committed, thanks!